package net.lensfrex.oj.collector;

import net.lensfrex.oj.collector.data.Result;
import net.lensfrex.oj.collector.utils.IOUtil;
import net.lensfrex.oj.collector.utils.ParamFiller;

import java.io.IOException;
import java.net.URISyntaxException;
import java.nio.charset.StandardCharsets;
import java.util.ArrayList;
import java.util.HashMap;

public class Main {

    private static final String MAIN_TEMPLATE = IOUtil.inputStreamToString(Record.class.getResourceAsStream("/template.txt"), StandardCharsets.UTF_8);
    private static final String EXAMPLE_TEMPLATE = IOUtil.inputStreamToString(Record.class.getResourceAsStream("/exampleTemplates.txt"), StandardCharsets.UTF_8);

    public static void main(String[] args) {
        try {
            new Main().run();
        } catch (URISyntaxException | IOException e) {
            throw new RuntimeException(e);
        }
    }

    private static final String location = "D:\\ojs";

    private void run() throws URISyntaxException, IOException {
        Record record = new Record();
        ArrayList<Result> results = new Collector().collectAllResults();

        String context = "";
        for (Result result : results) {
            context = record.fillText(result);

            record.writeToFile(location, result.getId(), result.getTitle(), context);
        }
    }
}
